From e67aef56f368238e4d349448d016115bde07e4bc Mon Sep 17 00:00:00 2001
From: arxs <arxs@venetus.local.lan>
Date: Mon, 6 Apr 2009 21:59:58 +0200
Subject: [PATCH] fixed restart services if dnsmasq is used for dns/dhcp

---
 cobbler/modules/sync_post_restart_services.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/cobbler/modules/sync_post_restart_services.py b/cobbler/modules/sync_post_restart_services.py
index ef300e1..6a968a4 100644
--- a/cobbler/modules/sync_post_restart_services.py
+++ b/cobbler/modules/sync_post_restart_services.py
@@ -59,6 +59,8 @@ def run(api,args):
             rc = os.system("/sbin/service named restart")
         elif which_dns_module == "manage_dnsmasq" and not has_restarted_dnsmasq:
             rc = os.system("/sbin/service dnsmasq restart")
+        elif which_dns_module == "manage_dnsmasq" and has_restarted_dnsmasq:
+            rc = 0
         else:
             print "- error: unknown DNS engine: %s" % which_dns_module
             rc = 412
-- 
1.6.2

